! ----------------------------------------------------------------------
! This is part of the 'Solve Singular BVP' (SOLVSING) package developed
! by W.Auzinger, O.Koch, P.Kofler, E.Weinmueller,
! Department of Applied Mathematics and Numerical Analysis,
! Vienna University of Technology, Vienna, Austria.
! ----------------------------------------------------------------------
MODULE types
! --- Function and Algorithm ---
! This module provides just the kind (type) constants used throughout
! the entire package. Default precision is double precision. To change
! the precision replace 1.0D0 by 1.0 for single or 1.0Q0 for quadruple
! precision. All further variables are defined as "REAL(KIND = dp)", all
! constants are defined as "1.0_dp".
! --- Compiling ---
! This module has to be compiled first. For the usage see t_types.f90.
! ----------------------------------------------------------------------
! Constants
! ----------------------------------------------------------------------
   IMPLICIT NONE
   INTEGER, PARAMETER :: dp = KIND(1.0D0), &
                         i4b = SELECTED_INT_KIND(9)
!        dp ... working precision real kind number
!        i4b ... working precision integer kind number
   LOGICAL, PARAMETER :: debug_output = .false.
!        debug_output ... do some verbose text output what is going on

END MODULE types
